Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations MintJulep on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Python script for solidloft

Status
Not open for further replies.

Krikke81

Mechanical
Nov 18, 2010
2
Dear all,

I am trying to created a lofted structure from know section points. However when
I test my trial script I always get the following error: "Open section is not
permissable for this loft feature"

Does any body have an idea on what i need to alter?

Thank you in advance,

Kind regards,


Kristof

trail script:

from abaqus import *
import testUtils
testUtils.setBackwardCompatibility()
from abaqusConstants import *
import sketch
import part

myModel = mdb.Model(name='Spline2Loft')

mySketch = myModel.ConstrainedSketch(name='Splines', sheetSize=200.0)

CoordsInner = ((0 , 10, 0), (10, 0, 0), (0, -10, 0),
(-10, 0, 0), (0 , 10, 0))

CoordsMiddle = ((0 , 10, 10), (10, 0, 10), (0, -10, 10),
(-10, 0, 10), (0 , 10, 10))

CoordsOuter = ((0 , 10, 20), (10, 0, 20), (0, -10, 20),
(-10, 0, 20), (0 , 10, 20))

myPart = myModel.Part(name='Spline2Loft', dimensionality=THREE_D,
type=DEFORMABLE_BODY)

myPart.WireSpline(points=CoordsInner, smoothClosedSpline=ON)

myPart.WireSpline(points=CoordsMiddle, smoothClosedSpline=ON)

myPart.WireSpline(points=CoordsOuter, smoothClosedSpline=ON)

e = myPart.edges

e1 = (e[0], e[1])
e2 = (e[1], e[2])

myPart.SolidLoft(loftsections=(e1, e2))
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor